Skip to main content
PUT
https://prod-api.raisedonors.com
/
api
/
Donor
/
{id}
/
address
/
{addressId}
/
update
Update a Donor Address
curl --request PUT \
  --url https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}/update \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "countryString": "<string>",
  "id": 123,
  "donorId": 123,
  "isPrimary": true
}
'
{
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "countryString": "<string>",
  "addressTypeDisplay": "<string>",
  "id": 123,
  "donorId": 123,
  "isPrimary": true
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required
addressId
integer<int64>
required

The ID of the donor address to update.

Body

The address update request containing the new address information.

Represents an address request.

address1
string | null

Gets or sets the first line of the address.

Maximum string length: 255
address2
string | null

Gets or sets the second line of the address.

Maximum string length: 255
city
string | null

Gets or sets the city of the address.

Maximum string length: 255
state
string | null

Gets or sets the state of the address.

Maximum string length: 255
postal
string | null

Gets or sets the postal code of the address.

Maximum string length: 15
countryString
string | null

Gets or sets the country of the address as a string.

addressType
enum<integer>

Gets or sets the type of the address.

Available options:
0,
1,
2,
3,
4,
5
id
integer<int64>

Gets or sets the identifier.

donorId
integer<int64>

Gets or sets the donor identifier.

isPrimary
boolean

Gets or sets whether this is the primary address for the donor.

Response

OK

Represents a donoraddress model.

address1
string | null

Gets or sets the address1.

address2
string | null

Gets or sets the address2.

city
string | null

Gets or sets the city name.

state
string | null

Gets or sets the state or province.

postal
string | null

Gets or sets the postal or ZIP code.

countryString
string | null

Gets or sets the country string.

addressType
enum<integer>

Gets or sets the address type.

Available options:
0,
1,
2,
3,
4,
5
addressTypeDisplay
string | null

Gets or sets the address type display.

id
integer<int64>

Gets or sets the identifier.

donorId
integer<int64>

Gets or sets the donor identifier.

isPrimary
boolean

Gets or sets whether this is the primary address for the donor.

Last modified on June 5, 2026